# 32/64bit spec-file
#
%define oname oxygen-transparent

Name:		kde4-windeco-oxygen-transparent
Version:	1.0
Release:	%mkrel 1
Summary:	A KDE 4 Plasma Theme
Group:		Graphical desktop/KDE4
License:	GPL v2 or later
URL:		http://kde-look.org/content/show.php/oxygen-transparent?content=127752
Source0:	%oname-%version.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	kde-workspace
Provides:	%{name} = %version-%release
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version
BuildRequires:	kde-workspace-devel

%description
Oxygen style and decoration with support for transparency.
This is an official branch of the KDE oxygen style. It is
kept in sync with the official oxygen style, and adds
support of full transparency on the windows. 

This style and window decoration requires desktop effects
to be enabled and should also be considered testing code
at this time. 


%prep 
rm -rf $RPM_BUILD_ROOT
%setup -q -n %oname-%version

%build
%cmake_kde4 
%make

%install
cd build
%makeinstall_std
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/oxygen-transparent-settings
%{_libdir}/kde4/kstyle_oxygen_transparent_config.so
%{_libdir}/kde4/kwin3_oxygen_transparent.so
%{_libdir}/kde4/kwin_oxygen_transparent_config.so
%{_libdir}/kde4/plugins/styles/oxygen_transparent.so
%{_libdir}/liboxygentransparentstyle.so.*
%exclude %{_libdir}/liboxygentransparentstyle.so
%{_libdir}/liboxygentransparentstyleconfig.so.*
%exclude %{_libdir}/liboxygentransparentstyleconfig.so
%{_datadir}/apps/kstyle/themes/oxygen_transparent.themerc
%{_datadir}/apps/kwin/oxygentransparentclient.desktop



%changelog
* Thu Feb 07 2013 pinoc <vogtpet at gmail.com> 1.0-1pclos2013
- 1.0

* Wed Jul 25 2012 Neal <nealbrks0 at gmail dot com> 0.1-2pclos2012
- rebuild for kde-4.8.3

* Sun Mar 13 2010 Texstar <texstar at gmail.com> 0.1-1pclos2011
- create package


